List economic calendar events
curl --request GET \
--url https://api.quantoraresearch.com/economic-calendar \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/economic-calendar"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/economic-calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "v1",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Events
List economic calendar events
GET
/
economic-calendar
List economic calendar events
curl --request GET \
--url https://api.quantoraresearch.com/economic-calendar \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/economic-calendar"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/economic-calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "v1",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Authorizations
apiKeybearerApiKey
Query Parameters
Required range:
1 <= x <= 500Available options:
asc, desc Alias of indicator_id, accepting a canonical field name, a storage indicator id, or an indicator slug. A value matching none of those returns an empty result — it is never ignored — and an empty value is rejected with 400.
Available options:
low, medium, high, unknown Available options:
scheduled, released, revised, canceled, tentative Available options:
public, internal_only, restricted, blocked